#include "kernel/countable_new.cxx"
#include "kernel/transform.cxx"
#include "kernel/axisbox.cxx"
#include "kernel/globals.cxx"
#include "kernel/error.cxx"

#include "shapes/cylinder.cxx"
#include "shapes/plane.cxx"
#include "shapes/quadric.cxx"
#include "shapes/tube.cxx"
#include "shapes/cone.cxx"
#include "shapes/triangle.cxx"
#include "shapes/sphere.cxx"
#include "shapes/parametric.cxx"
#include "shapes/implicit.cxx"
#include "shapes/csg_shape.cxx"
#include "shapes/box.cxx"
#include "shapes/clip.cxx"

#include "surfaces/lambert.cxx"
#include "surfaces/matte.cxx"
#include "surfaces/phong.cxx"
#include "surfaces/pigments/solid_pigment.cxx"
#include "surfaces/pigments/generic_pigment.cxx"
#include "surfaces/pigments/std_pigments.cxx"

#include "lights/projector.cxx"
#include "lights/fuzprojector.cxx"
#include "lights/pointlight.cxx"
#include "lights/spotlight.cxx"

#include "objects/simple_object.cxx"
#include "objects/bounding_slab.cxx"

#include "utils/rng.cxx"
//#include "utils/rpn_fexpr.cxx"
#include "utils/colourmap.cxx"
#include "utils/noise.cxx"

#include "worlds/scene.cxx"
#include "worlds/hmakers/pov_hmaker.cxx"

#include "volumes/gas.cxx"
#include "volumes/gas2.cxx"
#include "volumes/fog.cxx"

#include "renderers/raytracer.cxx"

#include "cameras/std_camera.cxx"
#include "cameras/stereo_camera.cxx"

#include "outputs/bmp_output.cxx"
#include "outputs/ppm_output.cxx"
#include "outputs/mem_output.cxx"
#include "outputs/tga_output.cxx"

